Index: /branches/2014/dev_r4650_UKMO14.12_STAND_ALONE_OBSOPER/NEMOGCM/TOOLS/SIREN/src/iom.f90
===================================================================
--- /branches/2014/dev_r4650_UKMO14.12_STAND_ALONE_OBSOPER/NEMOGCM/TOOLS/SIREN/src/iom.f90	(revision 5599)
+++ /branches/2014/dev_r4650_UKMO14.12_STAND_ALONE_OBSOPER/NEMOGCM/TOOLS/SIREN/src/iom.f90	(revision 5600)
@@ -568,138 +557,17 @@
             &                                   id_start, id_count )
          CASE DEFAULT
-            CALL logger_error( " READ VAR: can't read variable in file "//&
+            CALL logger_error( " IOM READ VAR: can't read variable in file "//&
             &               TRIM(td_file%c_name)//" : type unknown " )
       END SELECT
 
    END FUNCTION iom__read_var_name
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine fill all variables value in an opened 
-   !> file.</br/>
-   !> start indices and number of indices selected along each dimension 
-   !> could be specify in a 4 dimension table (/'x','y','z','t'/)
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] id_start : index in the variable from which the data values 
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !-------------------------------------------------------------------
-   !> @code
-   SUBROUTINE iom__fill_var_all( td_file, id_start, id_count)
-      IMPLICIT NONE
-      ! Argument      
-      TYPE(TFILE),                       INTENT(INOUT) :: td_file
-      INTEGER(i4), DIMENSION(ip_maxdim), INTENT(IN),   OPTIONAL :: id_start
-      INTEGER(i4), DIMENSION(ip_maxdim), INTENT(IN),   OPTIONAL :: id_count
-      !----------------------------------------------------------------
-
-      ! open file
-      SELECT CASE(TRIM(td_file%c_type))
-         CASE('cdf')
-            CALL iom_cdf_fill_var(td_file, id_start, id_count)
-         CASE('dimg')
-            CALL iom_rstdimg_fill_var(td_file, id_start, id_count)
-         CASE DEFAULT
-            CALL logger_error( " FILL VAR: can't read variable in file "//&
-            &               TRIM(td_file%c_name)//" : type unknown " )
-      END SELECT
-
-   END SUBROUTINE iom__fill_var_all
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine fill variable value in an opened 
-   !> file, given variable id.</br/>
-   !> start indices and number of indices selected along each dimension 
-   !> could be specify in a 4 dimension table (/'x','y','z','t'/)
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] id_varid : variable id
-   !> @param[in] id_start : index in the variable from which the data values 
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !-------------------------------------------------------------------
-   !> @code
-   SUBROUTINE iom__fill_var_id( td_file, id_varid, id_start, id_count)
-      IMPLICIT NONE
-      ! Argument      
-      TYPE(TFILE),                       INTENT(INOUT) :: td_file
-      INTEGER(i4),                       INTENT(IN)    :: id_varid
-      INTEGER(i4), DIMENSION(ip_maxdim), INTENT(IN),   OPTIONAL :: id_start
-      INTEGER(i4), DIMENSION(ip_maxdim), INTENT(IN),   OPTIONAL :: id_count
-      !----------------------------------------------------------------
-
-      ! open file
-      SELECT CASE(TRIM(td_file%c_type))
-         CASE('cdf')
-            CALL iom_cdf_fill_var(td_file, id_varid, id_start, id_count)
-         CASE('dimg')
-            CALL iom_rstdimg_fill_var(td_file, id_varid, id_start, id_count)
-         CASE DEFAULT
-            CALL logger_error( " FILL VAR: can't read variable in file "//&
-            &               TRIM(td_file%c_name)//" : type unknown " )
-      END SELECT
-
-   END SUBROUTINE iom__fill_var_id
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine fill variable value in an opened 
-   !> file, given variable name or standard name.</br/>
-   !> start indices and number of indices selected along each dimension 
-   !> could be specify in a 4 dimension table (/'x','y','z','t'/)
-   !
-   !> @details
-   !> look first for variable name. If it doesn't
-   !> exist in file, look for variable standard name.<br/>
-   !> If variable name is not present, check variable standard name.<br/>
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[inout] td_file : file structure
-   !> @param[in] cd_name  : variable name or standard name
-   !> @param[in] id_start : index in the variable from which the data values
-   !> will be read
-   !> @param[in] id_count : number of indices selected along each dimension
-   !-------------------------------------------------------------------
-   !> @code
-   SUBROUTINE iom__fill_var_name( td_file, cd_name, id_start, id_count )
-      IMPLICIT NONE
-      ! Argument      
-      TYPE(TFILE),                             INTENT(INOUT) :: td_file
-      CHARACTER(LEN=*),                        INTENT(IN)    :: cd_name
-      INTEGER(i4),      DIMENSION(ip_maxdim),  INTENT(IN),   OPTIONAL :: id_start
-      INTEGER(i4),      DIMENSION(ip_maxdim),  INTENT(IN),   OPTIONAL :: id_count
-      !----------------------------------------------------------------
-      
-      ! open file
-      SELECT CASE(TRIM(td_file%c_type))
-         CASE('cdf')
-            CALL iom_cdf_fill_var(td_file, cd_name, id_start, id_count )
-         CASE('dimg')
-            CALL iom_rstdimg_fill_var(td_file, cd_name, id_start, id_count )
-         CASE DEFAULT
-            CALL logger_error( " FILL VAR: can't read variable in file "//&
-            &               TRIM(td_file%c_name)//" : type unknown " )
-      END SELECT
-
-   END SUBROUTINE iom__fill_var_name
-   !> @endcode
    !-------------------------------------------------------------------
    !> @brief This subroutine write file structure in an opened file.
    !
-   !> @details
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_file : file structure
-   !-------------------------------------------------------------------
-   !> @code
+   !> @author J.Paul
+   !> - November, 2013- Initial Version
+   !
+   !> @param[in] td_file   file structure
+   !-------------------------------------------------------------------
    SUBROUTINE iom_write_file(td_file)
       IMPLICIT NONE
@@ -715,40 +583,9 @@
             CALL iom_rstdimg_write_file(td_file)
          CASE DEFAULT
-            CALL logger_error( " WRITE: can't write file "//&
+            CALL logger_error( " IOM WRITE: can't write file "//&
             &               TRIM(td_file%c_name)//" : type unknown " )
       END SELECT
 
    END SUBROUTINE iom_write_file
-   !> @endcode   
-!   !-------------------------------------------------------------------
-!   !> @brief This function get sub domain decomposition.
-!   !
-!   !> @details
-!   !
-!   !> @author J.Paul
-!   !> - Nov, 2013- Initial Version
-!   !
-!   !> @param[in] td_file : file structure
-!   !-------------------------------------------------------------------
-!   !> @code
-!   TYPE(TMPP) FUNCTION iom_get_mpp(td_file)
-!      IMPLICIT NONE
-!      ! Argument      
-!      TYPE(TFILE), INTENT(INOUT) :: td_file
-!      !----------------------------------------------------------------
-!
-!      ! open file
-!      SELECT CASE(TRIM(td_file%c_type))
-!         CASE('cdf')
-!            iom_get_mpp = iom_cdf_get_mpp(td_file)
-!         CASE('dimg')
-!            iom_get_mpp = iom_rstdimg_get_mpp(td_file)
-!         CASE DEFAULT
-!            CALL logger_error( " WRITE: can't write file "//&
-!            &               TRIM(td_file%c_name)//" : type unknown " )
-!      END SELECT
-!
-!   END FUNCTION iom_get_mpp
-!   !> @endcode
 END MODULE iom
 
